$Directory = "s:\desktop\spieler"
$Target = "spieler"
$templ_Spieler = Get-Content -Path "$Directory\spieler2.svg"
$templ_Doc = Get-Content -Path "$Directory\spieler3.svg"
$FNAMEI = "file:///S:/odrive/OneDrive/Projekte/ewkil/wwwroot/img/visitenkarte/spieler/"
$FNAMEC = "file:///S:/odrive/OneDrive/Projekte/ewkil/wwwroot/img/c/"
$player = Import-Csv -Path "$Directory\$Target.csv" -Delimiter "`t" -Encoding Default |
	Sort-Object { [int32]$_.NR } |
	Where-Object { $_.TYP -eq 0 } 
#$player | ForEach-Object { $_.FNAME; }
$NUM_CHARS = 10
$NUM_COLS = 7
$col = 1
$row = 0
$M_up = 5
$M_le = 5
$M_mi = 2
$XY = 20
function GetTemplate {
	param ( $o )
	$X = $M_le + (($M_mi + $XY) * $global:col)
	$Y = $M_up + (($M_mi + $XY) * $global:row)
	$t = $templ_Spieler
	$t = $t.Replace("##X##", $X)
	$t = $t.Replace("##Y##", $Y)
	$t = $t.Replace("##TYP##", $o.TYP)
	$t = $t.Replace("##NR##", $o.NR)
	$datgeb = [DateTime]::Parse($o.DATGEB)
	$datnow = [DateTime]::Today
	$alter = [Math]::Round(($datnow-$datgeb).TotalDays/365)
	$t = $t.Replace("##DATGEB##", $alter)
	$t = $t.Replace("##FNAMEI##", $FNAMEI)
	$t = $t.Replace("##FNAMEC##", $FNAMEC)
	$t = $t.Replace("##FNAME##", $o.FNAME)
	$FNAMET = $o.FNAME
	if ($o.FNAME.Length -gt $NUM_CHARS) { $FNAMET = $o.FNAME.Substring(0, $NUM_CHARS) }
	$t = $t.Replace("##FNAMET##", ([string]$FNAMET).ToUpper())
	$t = $t.Replace("##VNAME##", $o.VNAME)
	$t = $t.Replace("##POS##", $o.POS)
	$t = $t.Replace("##COUNTRY##", $o.COUNTRY)
	$global:col++
	if ($global:col -eq $NUM_COLS) { 
		$global:col = 0; 
		$global:row++; 
	}
	return $t
}
$svgPlayer = ""
$playerCount = 0
foreach ($p in $player) {
	$svgPlayer += GetTemplate $p
	$playerCount++
	#if ($playerCount -eq 13) { break }
}
$a = $templ_Doc.Replace("##PLAYER##", $svgPlayer)
$a = $a.Replace("##WIDTH##", $NUM_COLS * (20 + $M_mi) - $M_mi + $M_le * 2)
$a = $a.Replace("##HEIGHT##", ($row) * (20 + $M_mi) - $M_mi + $M_up * 2 + 20)
$a | out-file "$Directory\$Target.svg"